#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[5] = { 0 };
    char string_eq_const_1_0[7] = { 0 };
    char string_eq_const_2_0[8] = { 0 };
    char string_eq_const_3_0[3] = { 0 };
    char string_eq_const_4_0[4] = { 0 };
    char string_eq_const_5_0[7] = { 0 };
    char string_eq_const_6_0[8] = { 0 };
    char string_eq_const_7_0[8] = { 0 };
    char string_eq_const_8_0[7] = { 0 };
    char string_eq_const_9_0[3] = { 0 };
    char string_eq_const_10_0[3] = { 0 };
    char string_eq_const_11_0[6] = { 0 };
    char string_eq_const_12_0[8] = { 0 };
    char string_eq_const_13_0[4] = { 0 };
    char string_eq_const_14_0[6] = { 0 };
    char string_eq_const_15_0[3] = { 0 };
    char string_eq_const_16_0[7] = { 0 };
    char string_eq_const_17_0[3] = { 0 };
    char string_eq_const_18_0[5] = { 0 };
    char string_eq_const_19_0[7] = { 0 };
    char string_eq_const_20_0[5] = { 0 };
    char string_eq_const_21_0[8] = { 0 };
    char string_eq_const_22_0[8] = { 0 };
    char string_eq_const_23_0[6] = { 0 };
    char string_eq_const_24_0[4] = { 0 };
    char string_eq_const_25_0[4] = { 0 };
    char string_eq_const_26_0[7] = { 0 };
    char string_eq_const_27_0[5] = { 0 };
    char string_eq_const_28_0[4] = { 0 };
    char string_eq_const_29_0[8] = { 0 };
    char string_eq_const_30_0[6] = { 0 };
    char string_eq_const_31_0[6] = { 0 };

    if (size < 151)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_1_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_2_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_3_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_4_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_5_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_6_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_7_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_8_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_9_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_10_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_11_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_12_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_13_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_14_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_15_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_16_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_17_0, &data[i], 2);
    i += 2;
    memcpy(&string_eq_const_18_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_19_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_20_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_21_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_22_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_23_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_24_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_25_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_26_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_27_0, &data[i], 4);
    i += 4;
    memcpy(&string_eq_const_28_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_29_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_30_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_31_0, &data[i], 5);
    i += 5;


    if (strcmp(string_eq_const_0_0, "-Q^6") == 0)
    if (strcmp(string_eq_const_1_0, "ob-}QU") == 0)
    if (strcmp(string_eq_const_2_0, "c^S,uDF") == 0)
    if (strcmp(string_eq_const_3_0, "Z.") == 0)
    if (strcmp(string_eq_const_4_0, "hA9") == 0)
    if (strcmp(string_eq_const_5_0, "bXUdbb") == 0)
    if (strcmp(string_eq_const_6_0, "oOjCfnd") == 0)
    if (strcmp(string_eq_const_7_0, "#OfDY^b") == 0)
    if (strcmp(string_eq_const_8_0, "EwD:]q") == 0)
    if (strcmp(string_eq_const_9_0, "1d") == 0)
    if (strcmp(string_eq_const_10_0, "ji") == 0)
    if (strcmp(string_eq_const_11_0, "xZaRp") == 0)
    if (strcmp(string_eq_const_12_0, "1[.lQH_") == 0)
    if (strcmp(string_eq_const_13_0, "9t?") == 0)
    if (strcmp(string_eq_const_14_0, "0E xT") == 0)
    if (strcmp(string_eq_const_15_0, ",!") == 0)
    if (strcmp(string_eq_const_16_0, "4lFIqn") == 0)
    if (strcmp(string_eq_const_17_0, "oq") == 0)
    if (strcmp(string_eq_const_18_0, "Gqaq") == 0)
    if (strcmp(string_eq_const_19_0, "MZimEA") == 0)
    if (strcmp(string_eq_const_20_0, "N.Pv") == 0)
    if (strcmp(string_eq_const_21_0, "v1@@.lv") == 0)
    if (strcmp(string_eq_const_22_0, "4-*p:++") == 0)
    if (strcmp(string_eq_const_23_0, "Fbwbo") == 0)
    if (strcmp(string_eq_const_24_0, "V6e") == 0)
    if (strcmp(string_eq_const_25_0, "_JE") == 0)
    if (strcmp(string_eq_const_26_0, "H[0EGi") == 0)
    if (strcmp(string_eq_const_27_0, "vzQ2") == 0)
    if (strcmp(string_eq_const_28_0, "6?)") == 0)
    if (strcmp(string_eq_const_29_0, "UA>pEo|") == 0)
    if (strcmp(string_eq_const_30_0, "#S>Da") == 0)
    if (strcmp(string_eq_const_31_0, "._D[>") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
